
TYPO3.Flow - Bug # 36035

Status: Resolved Priority: Should have
Author: Andreas Förthner Category: Security
Created: 2012-04-14 Assigned To: Andreas Förthner
Updated: 2012-04-15 Due date:
PHP Version:
Has patch: No
Complexity:
Affected Flow version: Git master
Subject: CSRF protection prevents the triggering of authentication entry points in some cases
Description

As CSRF protection is not needed when nobody is logged in, we can completely skip this feature then. This makes sure, that
authentication entry points are triggered in any case correctly.

Associated revisions
Revision 6ed045ce - 2012-04-14 15:04 - Andreas Förthner

[BUGFIX] Skip CSRF protection if not authenticated

CSRF protection prevented the triggering of authentication entry
points in some cases. As CSRF protection is not needed,
if nobody is authenticated, we completely skip this feature
in those cases.

Change-Id: I6c6ae85412bf8fda8085d3d7eb67f799ab60abdc
Releases: 1.1
Resolves: #36035

History
#1 - 2012-04-14 15:04 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/10463

#2 - 2012-04-15 02:39 - Andreas Förthner
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:6ed045ce6283a6c359d2aef681a64f96bcec8958.
